```
git init
```

```
Reinitialized existing Git repository in C:/Users/uriq3/Desktop/lab/.git/
```
Создает пустой репозиторий.

```
$ git config user.name "lab"
```
Задает имя репозиторию.

```
$ git config user.email "uriq3@mail.ru"
```
Задает электронную почту репозиторию.

```
$ git add .
```
добавление всех файлов из папки в репозиторий.

```
$ git commit -m "first commit"

[master (root-commit) 3d84564] first commit
 1 file changed, 7 insertions(+)
 create mode 100644 .gitignore.txt
```
сохранение всех файлов в папке.

```
$ git status
On branch master
nothing to commit, working tree clean
```
Отображение статуса репозитория.


```
$ git remote add origin https://kolei.ru/ALeukhin/lab.git
```
Добавление ссыылки на внешний репозиторий.

```
$ git push -u origin master
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 20 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 392 bytes | 392.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/ALeukhin/lab.git
 * [new branch]      master -> master
branch 'master' set up to track 'origin/master'.
```
Перемещение файлов в главный репозиторий.